#VU11539 Resource exhaustion


Published: 2018-04-05

Vulnerability identifier: #VU11539

Vulnerability risk: Low

CVSSv3.1:

CVE-ID: CVE-2018-8777

CWE-ID: CWE-400

Exploitation vector: Network

Exploit availability: No

Vulnerable software:
Ruby
Universal components / Libraries / Scripting languages

Vendor: Ruby

Description
The vulnerability allows a remote attacker to cause DoS condition on the target system.

The weakness exists a large request in WEBrick. A remote attacker can send a large HTTP request with a crafted header to WEBrick server or a crafted body to WEBrick server/handler and cause the service to crash.

Mitigation
Update to versions 2.2.10, 2.3.7, 2.4.4 or 2.5.1.

Vulnerable software versions

Ruby: 2.2.0 - 2.6.0-preview1


CPE

External links
http://www.ruby-lang.org/en/news/2018/03/28/large-request-dos-in-webrick-cve-2018-8777/


Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?


Latest bulletins with this vulnerability